package com.djhk.uav.equ.domain;


import com.djhk.common.annotation.Excel;
import com.djhk.common.core.domain.BaseEntity;

/**
 * 待整理，用于说明某类设备包含哪些参数对象 equ_type_param
 * 
 * @author ruoyi
 * @date 2023-06-05
 */
public class EquTypeParam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long etpSeq;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String typeId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String paramCode;

    public void setEtpSeq(Long etpSeq) 
    {
        this.etpSeq = etpSeq;
    }

    public Long getEtpSeq() 
    {
        return etpSeq;
    }
    public void setTypeId(String typeId) 
    {
        this.typeId = typeId;
    }

    public String getTypeId() 
    {
        return typeId;
    }
    public void setParamCode(String paramCode) 
    {
        this.paramCode = paramCode;
    }

    public String getParamCode() 
    {
        return paramCode;
    }


}
